%define major		1
%define libname		%mklibname sidplay %{major}
%define develname	%mklibname sidplay -d

Summary:	A Commodore 64 music player and SID chip emulator library
Name:		libsidplay
Version:	1.36.60
Release:	%mkrel 12
License:	GPLv2+
Group:		System/Libraries
URL:		http://home.arcor.de/ms2002sep/bak/
Source:		%{name}-%{version}.tar.bz2
Patch1:		libsidplay-1.36.60-gcc7.patch

%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package -n	%{libname}
Summary:	A Commodore 64 music player and SID chip emulator library
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package -n	%{develname}
Summary:	Libraries and include files for developing libsidplay applications
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	sidplay-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname sidplay 1 -d}

%description -n	%{develname}
This package contains the header files and the static library for compiling
applications that use libsidplay.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
    --disable-static \
    --enable-optfixpoint \
    --enable-optendian
%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc DEVELOPER src/*.txt
%{_includedir}/sidplay/
%{_libdir}/*.so


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.36.60-12.mga10
+ Revision: 2195393
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.36.60-11.mga9
+ Revision: 1792065
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.36.60-10.mga8
+ Revision: 1514435
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.36.60-9.mga7
+ Revision: 1299145
- Mageia 7 Mass Rebuild

* Fri Oct 06 2017 cjw <cjw> 1.36.60-8.mga7
+ Revision: 1169530
- patch1: fix build with gcc 7

* Fri Feb 05 2016 umeabot <umeabot> 1.36.60-7.mga6
+ Revision: 936358
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.36.60-6.mga5
+ Revision: 750116
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.36.60-5.mga5
+ Revision: 681781
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.36.60-4.mga4
+ Revision: 507358
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.36.60-3.mga3
+ Revision: 358153
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 1.36.60-2.mga3
+ Revision: 305409
- drop .la file

* Sun Feb 20 2011 ahmad <ahmad> 1.36.60-2.mga1
+ Revision: 54788
- drop old/unneeded scriptlets
- imported package libsidplay


* Sat Sep 04 2010 Götz Waschk <waschk@mandriva.org> 1.36.60-1mdv2011.0
+ Revision: 575878
- new version
- new URL
- drop patch

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.36.59-9mdv2010.1
+ Revision: 520907
- rebuilt for 2010.1

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 1.36.59-8mdv2010.0
+ Revision: 378681
- update license

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.36.59-7mdv2009.0
+ Revision: 229856
- fix build (opensuse)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.36.59-5mdv2008.1
+ Revision: 178946
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.36.59-3mdv2008.0
+ Revision: 76980
- cleanup borked deps
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.36.59-2mdv2008.0
+ Revision: 76880
- new devel naming

  + Thierry Vignaud <tv@mandriva.org>
    - kill icon tag


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.36.59-1mdv2007.0
+ Revision: 114682
- Import libsidplay

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.36.59-1mdv2007.1
- rebuild

* Wed Aug 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.36.59-1mdk
- New release 1.36.59

* Sat Jul 24 2004 Götz Waschk <waschk@linux-mandrake.com> 1.36.58-1mdk
- autoconf 2.5 macro
- drop all patches
- New release 1.36.58

* Sat Jun 05 2004 Götz Waschk <waschk@linux-mandrake.com> 1.36.57-7mdk
- patch to make it build with g++ 3.4
- include debian patch
- fix URLs

